$LastChangedDate: 27-Juil-2011 $

# CL_op_rpvp2ae

Periapsis radius and velocity at periapsis to semi major axis and eccentricity

## Calling Sequence

       [sma,ecc] = CL_op_rpvp2ae(rp,vp [,mu])

## Description

- Computes semi major axis and eccentricity from periapsis radius and velocity at periapsis (elliptic and hyperbolic orbits).

- Note:

  The results are correct even if (rp,vp) are data that actually correspond to the apoapsis.

## Parameters

rp:

  Periapsis radius [m] (1xN or 1x1)

vp:

  Velocity at periapsis [m/s] (1xN or 1x1)

mu :

  (optional) Gravitational constant [m^3/s^2] (default value is %CL_mu)

sma:

  Semi major axis [m] (1xN)

ecc:

  Eccentricity (1xN)

## Authors

- CNES - DCT/SB

## See also

- CL_op_rava2ae

- CL_op_rarp2ae

- CL_op_rpvinf2ae

## Examples

    // Elliptic orbit
    rp = 7078.e3;
    vp = 8.e3;
    [sma,ecc] = CL_op_rpvp2ae(rp,vp)

    // Hyperbolic orbit
    rp = 7078.e3;
    vp = 12.e3;
    [sma,ecc] = CL_op_rpvp2ae(rp,vp)